from django.urls import path
from . import views
from .views import HomeView, AuthorView, AuthorDetailView, BooksView, BookDetailView

# url for bookshelf

urlpatterns = [
    path('', views.HomeView, name='home'),
    path('authors/', AuthorView.as_view(), name='authors'),
    path('authors/<int:id>/details/', AuthorDetailView.as_view(), name='author-detail'),
    path('books/', BooksView.as_view(), name='books'),
    path('books/<int:id>/details/', BookDetailView.as_view(), name='books-detail'),
]

app_name = 'bookshelf'